-------------------------------------------------
--  In   : clock    20KHz
--       : address  
--  Out  : q
-------------------------------------------------

entity TB_ROM_1 is
end TB_ROM_1;

library IEEE;
use IEEE.std_logic_1164.all;
use IEEE.std_logic_unsigned.all;

architecture SIM of TB_ROM_1 is 
component ROM_1
	port( address : in std_logic_vector(9 downto 0); 
		clock : in std_logic;
		q : out std_logic_vector(7 downto 0)
	);
end component;

signal      address : std_logic_vector(9 downto 0);
signal      clock : std_logic;
signal      q : std_logic_vector(7 downto 0);

begin
DUT :  ROM_1
    port map( address => address,
		clock => clock,
		q => q
	);

   process begin
	
	clock <= '0';
	address <= "0000000000";
	wait for 25us;
	clock <= '1';
	wait for 25us;
	clock <= '0';
	address <= "0000000001";
	wait for 25us;
	clock <= '1';
	wait for 25us;
	clock <= '0';
	address <= "0000000010";	
	wait for 25us;
	clock <= '1';
	wait for 25us;
	clock <= '0';
	address <= "0000000011";
	wait for 25us;
	clock <= '1';
	wait for 25us;
	clock <= '0';
	address <= "0000000100";
	wait for 25us;
	clock <= '1';
	wait for 25us;
	clock <= '0';
	address <= "0000000101";	
	wait for 25us;
	clock <= '1';
	wait for 25us;
	clock <= '0';
	address <= "0000000110";
	wait for 25us;
	clock <= '1';
	wait for 25us;
	clock <= '0';
	address <= "0000000111";
	wait for 25us;
	clock <= '1';
	wait for 25us;
	clock <= '0';
	
   end process;
		
end SIM;

configuration CONFIG of TB_ROM_1 is
	for SIM
	end for;
end CONFIG;
